﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;

namespace XDGDisplayTemplateCmd
{
    public class MyCommand : ICommand
    {
        public event EventHandler CanExecuteChanged;

        public bool CanExecute(object parameter)
        {
            if (parameter != null && (parameter as DataModel).Country.ToString() == "C1")
            {
                return false;
            }
            return true;
        }

        public void Execute(object parameter)
        {
            var dataItemName = (parameter as DataModel).Country;
            MessageBox.Show("Command Executed\nRecord Name: " + dataItemName.ToString());
        }
    }
}
